# $Revision: 1.47.2.4 $, $Date: 2002/07/18 21:04:15 $
Summary:	PNG library
Summary(de):	PNG-Library
Summary(fr):	Librarie PNG
Summary(pl):	Biblioteka PNG 
Summary(tr):	PNG kitapl
Name:		libpng
Version:	1.0.14
Release:	1
Epoch:		2
License:	Distributable
Group:		Libraries
Group(de):	Libraries
Group(es):	Bibliotecas
Group(fr):	Librairies
Group(pl):	Biblioteki
Source0:	ftp://swrinde.nde.swri.edu/pub/png/src/%{name}-%{version}.tar.gz
Patch0:		%{name}-opt.patch
Patch1:		%{name}-pngminus.patch
Patch2:		%{name}-badchunks.patch
Patch3:		%{name}-SONAME.patch
URL:		http://www.libpng.org/pub/png/libpng.html
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libpng2

%description
The PNG library is a collection of routines used to create and
manipulate PNG format graphics files. The PNG format was designed as a
replacement for GIF, with many improvements and extensions.

%description -l pl
Biblioteki PNG s kolekcj form uywanych do tworzenia i manipulowania
plikami w formatacie graficznym PNG. Format ten zosta stworzony jako
zamiennik dla formatu GIF, z wieloma rozszerzeniami i nowociami.

%description -l de
Die PNG-Library ist eine Sammlung von Routinen zum Erstellen und
Bearbeiten von Grafiken im PNG-Format. Das PNG-Format wurde als Ersatz
fr GIF entwickelt und enthlt viele Verbesserungen und Erweiterungen.

%description -l fr
La librairie PNG est un ensemble de routines utilises pour crer et
manipuler des fichiers graphiques au format PNG. Le format PNG a t
labor pour remplacer le GIF, avec de nombreuses amliorations et
extensions.

%description -l tr
PNG kitapl, PNG formatndaki resim dosyalarn ilemeye ynelik
yordamlar ierir. PNG, GIF formatnn yerini almak zere tasarlanm
bir resim formatdr.

%package devel
Summary:	headers 
Summary(de):	Headers und statische Libraries 
Summary(fr):	en-ttes et bibliothques statiques
Summary(pl):	Pliki nagwkowe
Summary(tr):	balk dosyalar ve statik kitaplklar
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Requires:	%{name} = %{version}
Requires:	zlib-devel
Obsoletes:	libpng2-devel

%description devel
The header files and static libraries are only needed for development
of programs using the PNG library.

%description -l pl devel
W pakiecie tym znajduj si pliki nagwkowe, przeznaczone dla
programistw uywajcych bibliotek PNG.

%description -l de devel
Die Header-Dateien und statischen Libraries werden nur zur Entwicklung
von Programmen mit der PNG-Library bentigt.

%description -l fr devel
Fichiers d'en-tete et les librairies qui sont requis seulement pour le
dveloppement avec la librairie PNG.

%description -l tr devel
PNG kitapln kullanan programlar gelitirmek iin gereken
kitaplklar ve balk dosyalar.

%package static
Summary:	static libraries
Summary(pl):	Biblioteki statyczne
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Requires:	%{name}-devel = %{version}

%description static
Static libraries.

%description -l pl static
Biblioteki statyczne.

%package progs
Summary:	libpng utility programs
Group:		Applications/Graphics
Group(de):	Applikationen/Grafik
Group(pl):	Aplikacje/Grafika

%description progs
This package contains utility programs to convert png files to and
from pnm files.

%description -l pl progs
Narzdzia do konwersji plikw png z lub do plikw pnm.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

ln -s scripts/makefile.linux ./Makefile

%build
%{__make} \
	CC="%{__cc}" \
	OPT_FLAGS="%{rpmcflags}"
cd contrib/pngminus
%{__make} -f makefile.std \
	CC="%{__cc}" \
	OPT_FLAGS="%{rpmcflags} -I../../"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_mandir}/man{3,5}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	prefix=%{_prefix}

install png.5 $RPM_BUILD_ROOT%{_mandir}/man5/
install {libpngpf,libpng}.3 $RPM_BUILD_ROOT%{_mandir}/man3/
install contrib/pngminus/{png2pnm,pnm2png} $RPM_BUILD_ROOT%{_bindir}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so.*.*
%{_mandir}/man5/*

%files devel
%defattr(644,root,root,755)
%doc *.txt ANNOUNCE CHANGES KNOWNBUG README
%attr(755,root,root) %{_bindir}/libpng-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/png2*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libpng.spec,v $
Revision 1.47.2.4  2002/07/18 21:04:15  kloczek
- added SONAME patch (back to library SOANME as sam as in 1.0.12),
- use proper CC,
- updated %files list.

Revision 1.47.2.3  2002/07/18 18:09:52  blues
- new doc

Revision 1.47.2.2  2002/07/18 17:58:05  kloczek
- updated to 1.0.14: importand security fix (fix some memory leaks and
  eliminates a vulnerability to buffer overflow in the progressive                                                                            reader).

Revision 1.47.2.1  2002/01/02 16:16:58  kloczek
- release 2: libpng2{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.47  2001/06/10 14:32:13  kloczek
- updated to 1.0.12.

Revision 1.46  2001/05/07 16:19:18  kloczek
- release 3.

Revision 1.45  2001/04/30 16:05:21  kloczek
- added using %%{rpmcflags} macro.

Revision 1.44  2001/04/28 03:27:22  kloczek
- updated to 1.0.11,
- new Source url.

Revision 1.43  2001/03/31 22:58:54  misiek
1.0.10; stb

Revision 1.42  2001/02/23 04:49:09  kloczek
- release 3: new badchunks patch from SuSe 7.0 is back.

Revision 1.41  2001/02/06 04:04:17  kloczek
- release 2: added zlib-devel to Requires list in devel subpackage.

Revision 1.40  2001/02/01 16:04:02  kloczek
- adapterized and few cosmetics.

Revision 1.39  2001/02/01 14:44:52  misiek
1.0.9. stb

Revision 1.38  2001/01/25 20:03:24  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.37  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.36  2000/12/14 21:00:42  kloczek
- make %%{debug} ready.

Revision 1.35  2000/12/14 16:39:15  baggins
- release 7
- fixed use of RPM_OPT_FLAGS

Revision 1.34  2000/12/12 18:40:25  kloczek
- relase 6: merge SuSe badchunks patch.

Revision 1.33  2000/11/22 15:32:00  kloczek
- release 5: revert MMX support on i586, i686 (seems not stable).

Revision 1.32  2000/11/18 22:55:11  kloczek
- release 4.

Revision 1.31  2000/11/17 17:46:57  bszx
- mmx is used on i586 and i686
- subpackage progs added

Revision 1.30  2000/10/19 03:17:33  kloczek
- release 3, Epoch 2.

Revision 1.29  2000/10/19 02:27:24  kloczek
- release 2: use new rpm automation.

Revision 1.28  2000/07/25 05:23:14  kloczek
- updated to 1.0.8.

Revision 1.27  2000/07/02 19:44:17  kloczek
- updated to 1.0.7.

Revision 1.26  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.25  2000/06/07 03:14:18  kloczek
- spec adapterized.

Revision 1.24  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.23  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.22  2000/03/21 10:43:17  kloczek
- updated to 1.0.6.

Revision 1.21  1999/10/17 22:32:13  kloczek
- updated to 1.0.5.

Revision 1.20  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu May 20 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.0.3-6]
- based on RH spec,
- pl translation by Wojtek lusarczyk <wojtek@shadow.eu.org>,
- package rewrited by: Micha Kuratczyk <kura@pld.org.pl>, Pawe Gajda
  <pagaj@shadow.eu.org>, Marcin Korzonek <mkorz@shadow.eu.org> and me.
